/* ================ Reset ================ */
* {
    margin: 0;
    padding: 0;
    gap: 0;
    box-sizing: border-box;
    user-select: none;
    outline: none;
}

hr {
    border: none;
}

li {
    list-style: none;
}

a {
    color: black;
    text-decoration: none;
}

button {
    border: none;
    background: none;
}

img, video {
    -webkit-user-drag: none;
}




/* ================ Global ================ */
h1, h2, h3 {
    color: white;
    font-family: system-ui;
}

li, p, a {
    color: white;
    font-family: system-ui;
    font-weight: 500;
}

h2 a {
    font-weight: inherit;
}

button {
    cursor: pointer;
}

img, video {
    /* background-color: black; */
    background: linear-gradient(45deg, hsl(0, 0%, 5%), hsl(0, 0%, 20%));
    max-width: 100%;
}




/* ============================================ */
/* ================ Background ================ */
/* ============================================ */
html {
    scroll-behavior: smooth;
    background: black;
}

body {
    min-height: 100vh;
}

body::before {
    content: '';
    position: fixed;
    inset: 0;
    z-index: -1;
    background: linear-gradient(45deg, hsl(0, 0%, 5%), hsl(0, 0%, 11%));
}




/* ======================================== */
/* ================ Header ================ */
/* ======================================== */
header div {
    display: flex;
    justify-content: center;
    align-items: center;
    /* background: black; */
    /* background-color: green; */
    background: linear-gradient(hsl(120, 100%, 28%), hsl(120, 100%, 18%));
    height: 70px;
}

header h1 {
    /* color: white; */
    margin-top: -5px;
    text-shadow: hsl(0, 0%, 0%, 33%) 0 0 12px;
}

header hr {
    /* height: 1px; */
    /* background: white; */
}



/* ================ Navbar ================ */
nav {
    position: sticky;
    top: 0;
    z-index: 2;
    background: black;
    box-shadow: hsl(0, 0%, 0%, 25%) 0 6px 6px;
}

nav ul {
    overflow: hidden;
    display: flex;
    align-items: center;
    margin: auto;
    max-width: 1080px;
    height: 25px;
    padding-left: 12px;
}

nav a {
    white-space: nowrap;
    /* color: white; */
    margin-right: 15px;
}

nav a:hover {
    color: hsl(120, 100%, 35%);
}



/* ================ Carrousel ================ */
.carrousel {
    position: fixed;
    z-index: 2;
    top: 50%;

    font-weight: bolder;
    border-radius: 15px;
    width: 30px;
    height: 30px;

    color: white;
    background: hsl(120, 100%, 19%);
    box-shadow: hsl(0, 0%, 0%, 15%) 0 0 15px;
}

.carrousel:hover {
    background: hsl(120, 100%, 25%);
}

.carrousel#prev { left:  10px; }
.carrousel#next { right: 10px; }




/* ====================================== */
/* ================ Main ================ */
/* ====================================== */
main {
    margin: auto;
    max-width: 1080px;
    min-height: 100vh;
    padding-top:    35px;
    padding-left:   10px;
    padding-right:  10px;
    padding-bottom: 50px;
}




/* ================ Sections ================ */
section {
    overflow: hidden;
    border-radius: 5px;
    /* background-color: black; */
    background: linear-gradient(45deg, hsl(0, 0%, 100%, 5%), hsl(0, 0%, 100%, 3%));
    box-shadow: hsl(0, 0%, 0%, 15%) 0 0 15px;
}

section h2, section h3 {
    white-space: nowrap;
    /* display: flex; */
    /* align-items: center; */
    /* justify-content: center; */
    /* text-align: center; */
    padding-top:    12px;
    padding-left:   15px;
    padding-bottom:  8px;
    /* height: 35px; */
    text-shadow: hsl(0, 0%, 0%, 10%) 0 0 12px;
}




/* ================ Containers ================ */
section div, section ul {
    padding-top:    8px;
    padding-left:   10px;
    padding-right:  10px;
    padding-bottom: 20px;
}




/* ========================================= */
/* ================ Customs ================ */
/* ========================================= */

/* ================ overview ================ */
#overview {
    /* margin-top: 10px; */
}

#overview li {
    white-space: nowrap;
}

#overview li a {
    color: hsl(120, 100%, 33%);
}

#overview li a:hover {
    color: hsl(120, 100%, 40%);
}



#overview hr {
    background: white;
    height: 1px;
    margin-top:      5px;
    margin-left:    12px;
    margin-right:   12px;
    margin-bottom:  20px;
}



#overview div {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    column-gap: 10px;
    row-gap:    11px;
}


#overview div a {
    position: relative;
    overflow: hidden;
    border-radius: 4px;
    transition: 80ms;
}

#overview div a:hover {
    box-shadow: hsl(0, 0%, 100%, 12%) 0 0 12px;
}

#overview div a:hover img {
    filter: brightness(1.10);
}


#overview div p {
    position: absolute;
    z-index:  1;
    opacity:  0.80;
    padding-left:   5px;
    padding-right:  5px;
    padding-bottom: 3px;
    background: black;
}

#overview div img {
    border-radius: 4px;
    transition: 80ms;
}




/* ================ images ================ */
#images {
    margin-top: 40px;
}

#images ul {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(350px, 1fr));
    column-gap: 10px;
    row-gap:    15px;
    /* margin-top:  5px; */
}


#images li {
    position: relative;
}

#images p {
    position: absolute;
    z-index:  1;
    opacity:  0.80;
    padding-left:   5px;
    padding-right:  5px;
    padding-bottom: 3px;
    background: black;
}

#images img {
    border-radius: 4px;
    /* max-height: 500px; */
}




/* ================ posts ================ */
.posts {
    margin-top: 50px;
}

.posts ul {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 10px;
    row-gap:    15px;
}


.posts a {
    overflow: hidden;
    border-radius: 4px;
    transition: 80ms;
}

.posts a:hover {
    box-shadow: hsl(0, 0%, 100%, 12%) 0 0 12px;
}

.posts a:hover img {
    filter: brightness(1.10);
}


.posts img {
    object-fit: cover;
    height: 100%;
    transition: 80ms;
}






/* ======================================== */
/* ================ Footer ================ */
/* ======================================== */

/* ================ Navigation ================ */
#gohead {
    position: fixed;
    bottom: 25px;
    right: 25px;

    border-radius: 15px;
    width:  30px;
    height: 30px;
    background: hsl(120, 100%, 19%);
    box-shadow: hsl(0, 0%, 0%, 25%) 0 0 15px;
}

#gohead:hover {
    background: hsl(120, 100%, 25%);
}

#gohead p {
    color: white;
    font-size: 15px;
    margin-top: -5px;
}




/* ================ Footer ================ */
footer {
    display: flex;
    justify-content: center;
    align-items: center;
    /* background: black; */
    background: linear-gradient(hsl(120, 100%, 28%), hsl(120, 100%, 15%));
    height: 90px;
    box-shadow: black 0 0 15px;
}

footer h1 {
    /* color: white; */
    text-shadow: hsl(0, 0%, 0%, 33%) 0 0 12px;
}